aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ethereal/main.go2
-rwxr-xr-xinstall.sh6
2 files changed, 6 insertions, 2 deletions
diff --git a/ethereal/main.go b/ethereal/main.go
index 1674b59d9..316f2285f 100644
--- a/ethereal/main.go
+++ b/ethereal/main.go
@@ -10,7 +10,7 @@ import (
)
func main() {
- // Leave QT on top at ALL times.
+ // Leave QT on top at ALL times. Qt Needs to be initialized from the main thread
qml.Init(nil)
runtime.GOMAXPROCS(runtime.NumCPU())
diff --git a/install.sh b/install.sh
index fe80a6956..9719a1afc 100755
--- a/install.sh
+++ b/install.sh
@@ -27,7 +27,7 @@ if [ $? != 0 ]; then
fi
echo "serpent-go"
-cd $GOPATH/src/github.com/obscuren/mutan
+cd $GOPATH/src/github.com/obscuren/serpent-go
echo "init submodule"
git submodule init
@@ -49,5 +49,9 @@ else
fi
go install
+if [ $? == 0 ]; then
+ echo "go install failed"
+ exit
+fi
echo "done. Please run $exe :-)"